import dayjs from 'dayjs'
import { PageSizeEnum } from '~/enums/sizeEnum'
import { cancelOrderApi, getOrderListApi } from '@/api/model/order'

export function useData({ type }: any) {
  const tableData = ref([])
  const currentPage = ref(1)
  const page_size = ref(10)
  const total = ref(1)

  const getTableList = async (
    pageNo = PageSizeEnum.PAGE,
    pageSize = PageSizeEnum.PAGE_SIZE,
    state = type,
  ) => {
    try {
      const params = {
        pageNo,
        state,
        pageSize,
      }
      const res: any = await getOrderListApi(params)
      total.value = res.total
      tableData.value = res.records.map((item: any) => {
        return {
          ...item,
          totalPrice: `${numberToTwoDecimals(item.totalPrice)} USD`,
          createTime: dayjs(item.createTime).format('YYYY-MM-DD HH:mm:ss'),
        }
      })
    }
    catch (e) {
      console.log(e)
    }
  }
  const cancelOrder = async (data: any) => {
    try {
      await cancelOrderApi({ id: data.id })
      ElMessage.success('取消订单成功')
      await getTableList()
    }
    catch (error) {
      console.log(error)
    }
  }
  const changePage = (page: number, pageSize: number) => {
    currentPage.value = page
    getTableList(page, pageSize, type)
  }
  return {
    tableData,
    page_size,
    currentPage,
    total,
    cancelOrder,
    getTableList,
    changePage,
  }
}
