import { registerApi } from '@/api/model/user'

const params = ref<any>({
  firstName: '',
  lastName: '',
  email: '',
  mobile: '',
  password: '',
  mobileAreaCode: '+86',
  country: undefined,
  companyName: '',
  website: '',
  purchaseCategory: undefined,
  companyType: undefined,
  annualPurchaseAmount: undefined,
  checked: false,
  isUnlock: false,
})
const currentStep = ref<number>(0)
export function useRegister() {
  const nextStep = () => {
    currentStep.value++
  }
  const backStep = () => {
    if (currentStep.value > 0)
      currentStep.value--
  }
  const register = async () => {
    try {
      const form = {
        ...params.value,
        purchaseCategory: params.value.purchaseCategory.join(','),
      }
      await registerApi(form)
      nextStep()
    }
    catch (error) {
      console.log(error)
    }
  }
  return { params, currentStep, nextStep, backStep, register }
}
