/** @format */

import { defineStore } from "pinia"
import { useUserStore } from "./user"
import { getCartBrandQuantityApi } from "~/api/model/cart"
import { getNoticeRemindApi } from "~/api/model/common"

export const useCommonStore = defineStore(
  "commonStore",
  () => {
    const selCartList = ref<any>("")
    const isShowCategoryHeader = ref<boolean>(true)
    const selectedCategory = ref<any>("")
    const cartGoodsNumber = ref<number>(0)
    const noticeRemind = ref<boolean>(false)
    const userStore = useUserStore()

    const setSelectedCategory = (value: any) => {
      selectedCategory.value = value
    }
    const setCartGoodsNumber = (value: any) => {
      selectedCategory.value = value
    }
    const getCartGoodsList = async () => {
      const data: any = await getCartBrandQuantityApi()
      cartGoodsNumber.value = data.brandQuantity || 0
    }
    const setSelCartList = (data: any) => {
      selCartList.value = data
    }
    const setIsShowCategoryHeader = (data: any) => {
      isShowCategoryHeader.value = data
    }
    const getNoticeRemind = async () => {
      try {
        if (!userStore.isLogin) return
        const res: any = await getNoticeRemindApi({
          pageNo: 1,
          pageSize: 10,
        })
        noticeRemind.value = res.records.length > 0
      } catch (error) {
        console.log(error)
      }
    }

    return {
      selCartList,
      isShowCategoryHeader,
      selectedCategory,
      cartGoodsNumber,
      noticeRemind,
      setSelectedCategory,
      getCartGoodsList,
      setCartGoodsNumber,
      setSelCartList,
      getNoticeRemind,
      setIsShowCategoryHeader,
    }
  },
  {
    persist: true,
  }
)
